Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class ReferrerBeanInfo.LiteratureReferencesEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.beanexplorer.editors.CustomEditorSupport
              ru.biosoft.access.support.DataCollectionMultyChoicePropertyEditor
                  biouml.standard.type.ReferrerBeanInfo.LiteratureReferencesEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.beans.PropertyEditor, com.beanexplorer.editors.PropertyEditorEx

Enclosing class:
  ReferrerBeanInfo

public static class ReferrerBeanInfo.LiteratureReferencesEditor
extends DataCollectionMultyChoicePropertyEditor

Field Summary

Fields inherited from class ru.biosoft.access.support.DataCollectionMultyChoicePropertyEditor
`title`

Fields inherited from class com.beanexplorer.editors.CustomEditorSupport
`bean, descriptor`

Constructor Summary
`ReferrerBeanInfo.LiteratureReferencesEditor()`

Method Summary
`DataCollection` | `getDataCollection()` Should return the DataCollection containing possible values.

Methods inherited from class ru.biosoft.access.support.DataCollectionMultyChoicePropertyEditor
`getCustomEditor, getCustomRenderer`

Methods inherited from class com.beanexplorer.editors.CustomEditorSupport
`actionPerformed, getBean, getDescriptor, isPaintable, processValue, setBean, setColor, setDescriptor, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getTags, getValue, paintValue, removePropertyChangeListener, setAsText, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.beans.PropertyEditor
`addPropertyChangeListener, getAsText, getCustomEditor, getJavaInitializationString, getTags, getValue, paintValue, removePropertyChangeListener, setAsText, setValue`

Constructor Detail

### ReferrerBeanInfo.LiteratureReferencesEditor

    public ReferrerBeanInfo.LiteratureReferencesEditor()

Method Detail

### getDataCollection

    public DataCollection getDataCollection()
                                     throws java.lang.Exception

  Description copied from class: `DataCollectionMultyChoicePropertyEditor`
  Should return the DataCollection containing possible values.

  Specified by:
    `getDataCollection` in class `DataCollectionMultyChoicePropertyEditor`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.